InitLavaSpitterExplode:
	move.l		#$00000150,d0
	jsr		AddScore
	add.l		#6*ScreenVertRatio,12(a5)
	bra		InitNukeExplode

InitDeadBomber:
	move.l		ObjectiveLoc,a0		;Each kill is +1 for Objective 1
	add.l		#1,12(a0)

	move.l		#$00000300,d0
	jsr		AddScore
	move.l		#Projectile,(a5)
	move.l		#InitNukeExplode,4(a5)
	move.b		#%0001,39(a5)
	move.l		#1,40(a5)
	rts

InitMiniDead:
	move.l		#$00000200,d0
	jsr		AddScore
	jmp		InitExplode	


InitExplode:
	move.l		#Explode,(a5)
	move.l		#NopExe,4(a5)
	move.l		#0,20(a5)
	move.l		#Frame1,24(a5)
	move.l		#Frame1,28(a5)
	move.b		#0,37(a5)
	move.b		#1,38(a5)
	move.b		#%0000,39(a5)
;	move.l		#$00000200,d0
;	move.l		#$00000014,d0
;	jsr		AddScore
	rts

InitNukeExplode:
	move.l		#NukeExplode,(a5)
	move.l		#NopExe,4(a5)

;	move.l		24(a5),a0
;	move.l		#0,d0
;	move.w		2(a0),d0
;	sub.l		#12,d0
;	muls		#ScreenVertRatio,d0
;	add.l		d0,12(a5)
;	sub.l		#12*ScreenVertRatio,12(a5)
	move.l		#(ScreenBottom-12)*ScreenVertRatio,12(a5)

	move.l		#0,20(a5)
	move.l		#Nuke1,24(a5)
	move.l		#Nuke1,28(a5)
	move.b		#0,37(a5)
	move.b		#1,38(a5)
	move.b		#%0001,39(a5)
	rts

InitTankerDead:
	move.l		ObjectiveLoc,a0		;Each kill is +1 for Objective 1
	add.l		#1,12(a0)
	move.l		#$00000300,d0
	jsr		AddScore
	jmp		InitNukeExplode

InitOilTowerDead:
	move.l		#$00000050,d0
	jsr		AddScore
	jmp		InitNukeExplode


InitRocketTowerDead:
	move.l		#$00000100,d0
	jsr		AddScore
	jmp		InitNukeExplode

InitRocketDead:
	move.l		#$00000050,d0
	jsr		AddScore
	move.l		8(a5),d0
	sub.l		#13*ScreenRatio,d0
	move.l		d0,8(a5)
	jmp		InitExplode

InitDeadHarrier:
	move.l		#DeadHarrier,(a5)
	move.l		#NopExe,4(a5)
	move.b		#%0000,39(a5)

	jsr		OneLessLife

	rts


DeadHarrier:
	move.l		Screen,a0
	add.l		#ScreenTop*30/4,a0
	move.l		#(ScreenBottom-ScreenTop+6)*30/4-1,d0
InverseScreen:
	eor.l		#$FFFFFFFF,(a0)+
	dbra.l		d0,InverseScreen


	KeyTest		2
	jsr		Contrast
	move.l		16(a5),d1	;change x position
	add.l		d1,Harrier_Horiz
	move.l		Harrier_Horiz,d0
	jsr		shiploc
	move.l		d0,Harrier_Horiz

	divu		#2,d1
	sub.w		d1,10(a5)
	move.l		8(a5),d1
	cmp.l		#(HorizSize/2-8-24)*ScreenRatio,d1
	blt		DeadHarrSetMinX
	cmp.l		#(HorizSize/2-8+24)*ScreenRatio,d1
	bgt		DeadHarrSetMaxX
	bra		DeadHarrXLimitsFine
DeadHarrSetMinX:
	move.l		#(HorizSize/2-8-24)*ScreenRatio,8(a5)
	bra		DeadHarrXLimitsFine
DeadHarrSetMaxX:
	move.l		#(HorizSize/2-8+24)*ScreenRatio,8(a5)
DeadHarrXLimitsFine:
	move.l		20(a5),d0
	add.l		d0,12(a5)
	move.l		12(a5),d0
	add.l		#1,20(a5)
	cmp.l		#(ScreenTop-7)*ScreenVertRatio,d0
	bge		DeadHarrNotTooHigh
	rts
DeadHarrNotTooHigh
	cmp.l		#(ScreenBottom-7)*ScreenVertRatio,d0
	bge		DeadHarrTooLow
	bra		DeadHarrNotTooHighOrLow
DeadHarrTooLow
	jmp		HarrHit
DeadHarrNotTooHighOrLow
	jmp		PicDraw

InitDeadSkull
	move.l		ObjectiveLoc,a0		;Each kill is +1 for Objective 1
	add.l		#1,12(a0)
	move.l		#$00000500,d0
	jsr		AddScore
	jmp		InitExplode
