Level1:
	initobj
	jsr		InitHarrier
	move.l		HarrLoc,a5
	move.l		#0,JumpKeys	;clear the codes for the "Jump Keys"
	move.l		#0,JumpKeys+4

	move.l		#22,d0
	jsr		InitMini
	move.l		#8,d0
	jsr		InitTank
	move.l		#5,d0
	jsr		InitBomber

	move.l		#30,d0
	jsr		InitPalm

	jsr		InitBase

	addobj		Level1Objectives,NopExe,#-50*ScreenRatio,#0,#0,#0,0,0,#0,#0,#0,#0,#0,#0

	move.l		a6,ObjectiveLoc

L1_LoadPic
	move.l		a6,a5
	sub.l		#44,a5
	move.l		#NopExe,(a5)
	move.l		#NopExe,4(a5)
	move.l		#(HorizSize/2-11)*ScreenRatio,8(a5)
;	move.l		#(VertSize/2-5)*ScreenVertRatio,12(a5)
	move.l		#(VertSize/2)*ScreenVertRatio,12(a5)
	move.l		#BomberRDk,24(a5)
	move.l		#BomberRLt,28(a5)
	move.b		%0000,39(a5)
	move.l		a5,StartGraphic

	move.l		LevelNum,d0
	Swap		d0
	cmp.w		#1,d0
	bne		L1_NotNewGame
	jsr		ResetGame
L1_NotNewGame:
	;clear the screen

;	move.l		#L1Text_1,CurrentBottomText
	move.l		#Plus,CurrentBottomText

;	Text		#HorizSize/2-7*3,#VertSize/2-8*1,#L1Text_1,#1
;	Text		#HorizSize/2-17*3,#VertSize/2-8*0,#L1Text_2,#1
;	Text		#HorizSize/2-21*3,#VertSize/2+8*1,#L1Text_3,#1

	move.l		#L1_StartLevelScript,CurrLevelStartScript
	move.l		CurrLevelStartScript,a0
	jsr		(a0)
	rts
;	bra		L1_StartLevelScript



Level1Objectives:
	move.l		#-50*ScreenRatio,8(a5)
	cmp.l		#1,24(a5)
	beq		L1ObjectiveMet
	cmp.l		#1,16(a5)
	beq		L1Objective1MetAlready
	cmp.l		#3,12(a5)
	bge		L1Objective1Met
	rts
L1Objective1Met:
	move.l		#1,16(a5)
	move.l		#0,20(a5)
L1Objective1MetAlready:
	move.l		20(a5),d1
	move.l		BaseLoc,a0
	move.l		8(a0),d0
	cmp.l		#0,d0
	bge		#L1ObjectiveRight
	move.l		#EndLevelLeft,CurrentBottomText
	move.l		#-1,20(a5)
	bra		L1ObjectiveDone
L1ObjectiveRight
	cmp.l		#(HorizSize-28)*ScreenRatio,d0
	ble		L1ObjectiveNeutral
	move.l		#EndLevelRight,CurrentBottomText
	move.l		#1,20(a5)
	bra		L1ObjectiveDone
L1ObjectiveNeutral:
	move.l		#EndLevel,CurrentBottomText
	move.l		#2,20(a5)

	move.l		HarrLoc,a0
	sub.l		8(a0),d0
	add.l		#(HorizSize/2-8)*ScreenRatio,d0

;	cmp.l		#(HorizSize/2-8)*ScreenRatio,d0
	cmp.l		#(HorizSize/2-12)*ScreenRatio,d0

	bgt		L1ObjectiveDone
;	cmp.l		#(HorizSize/2-28)*ScreenRatio,d0
	cmp.l		#(HorizSize/2-32)*ScreenRatio,d0

	blt		L1ObjectiveDone
	move.l		HarrLoc,a0
	move.l		12(a0),d0
	cmp.l		#(ScreenBottom-7)*ScreenVertRatio,d0
	bne		L1ObjectiveDone
	move.l		#LevelDone,CurrentBottomText
	move.l		#3,20(a5)
	move.l		#1,40(a5)
L1ObjectiveDone:
	cmp.l		20(a5),d1
	bne		RefreshBottom
L1ObjectiveMet:
	rts

L1_StartLevelScript:
	move.l		ObjectiveLoc,a0
	move.l		16(a0),d0
	cmp.l		#1,16(a0)
	beq		LevelLoop
	
	jsr		ClearScreenCommon	
	jsr		ClearScreenCommon
	move.l		#Plus,CurrentBottomText

	move.l		#'0',d0
	move.l		ObjectiveLoc,a0
	add.l		12(a0),d0
	move.b		d0,L1Text_3+18
	
	jsr		RefreshBottom	;Refresh the bottom line
	jsr		RefreshTop	;Refresh the top line
	jsr		ClearScreenTop2


	Text		#HorizSize/2-7*3,#VertSize/2-8*5/2,#L1Text_1,#1
	Text		#HorizSize/2-17*3,#VertSize/2-8*3/2,#L1Text_2,#1
	Text		#HorizSize/2-19*3,#VertSize/2+8*3/2,#L1Text_3,#1
	Text		#HorizSize/2-21*3,#VertSize/2+8*5/2,#AcceptText,#1

	sf		None
	move.l		StartGraphic,a5
L1NotAcceptYet
	tst.b		None
	beq		L1NotAcceptYet
	sf		None
	jsr		PicDraw
	KeyTest		L1

	move.l		Screen,a0
	add.l		#30*(VertSize/2),a0
	move.l		#$4c00+30*(VertSize/2),a1
	move.w		#9*30/4-1,d1
L1ClsLoop:
	move.l		(a0),(a1)+
	move.l		#0,(a0)+
	dbra.w		d1,L1ClsLoop

;	jsr		ClearScreenCommon
	jsr		Contrast
	Key		0,6,_exit
	NotKey		0,1,L1NotAcceptYet

	move.l		#Plus,CurrentBottomText
	jsr		RefreshBottom	;Refresh the bottom line
	jsr		ClearScreenCommon
 
	rts

StartGraphic
	dc.l		0